Package io.vertx.ext.shell

## Class ShellServiceOptions

- java.lang.Object
- - io.vertx.ext.shell.ShellServerOptions
  - - io.vertx.ext.shell.ShellServiceOptions

-     public class ShellServiceOptions
      extends ShellServerOptions

  The configurations options for the shell service, the shell connectors can be configured with `TelnetTermOptions`, `SSHTermOptions` and `HttpTermOptions`.
  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class io.vertx.ext.shell.ShellServerOptions

      `DEFAULT_REAPER_INTERVAL, DEFAULT_SESSION_TIMEOUT, DEFAULT_WELCOME_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShellServiceOptions()` |
    `ShellServiceOptions​(JsonObject json)` |
    `ShellServiceOptions​(ShellServiceOptions that)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HttpTermOptions` | `getHttpOptions()` |
    `SSHTermOptions` | `getSSHOptions()` |
    `TelnetTermOptions` | `getTelnetOptions()` |
    `ShellServiceOptions` | `setHttpOptions​(HttpTermOptions httpOptions)` |
    `ShellServiceOptions` | `setReaperInterval​(long reaperInterval)` | Set the repear interval, i.e the period at which session eviction is performed.
    `ShellServiceOptions` | `setSessionTimeout​(long timeoutMillis)` | Set the session timeout.
    `ShellServiceOptions` | `setSSHOptions​(SSHTermOptions sshOptions)` | Set the SSH options, if the option is null, SSH will not be started.
    `ShellServiceOptions` | `setTelnetOptions​(TelnetTermOptions telnetOptions)` | Set the Telnet options, if the option is null, Telnet will not be started.
    `ShellServiceOptions` | `setWelcomeMessage​(String welcomeMessage)` | Set the shell welcome message, i.e the message displayed in the user console when he connects to the shell.

    - ### Methods inherited from class io.vertx.ext.shell.ShellServerOptions

      `getReaperInterval, getSessionTimeout, getWelcomeMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShellServiceOptions

          public ShellServiceOptions()

    - #### ShellServiceOptions

          public ShellServiceOptions​(ShellServiceOptions that)

    - #### ShellServiceOptions

          public ShellServiceOptions​(JsonObject json)

  - ### Method Detail

    - #### setWelcomeMessage

          public ShellServiceOptions setWelcomeMessage​(String welcomeMessage)

      Description copied from class: `ShellServerOptions`
      Set the shell welcome message, i.e the message displayed in the user console when he connects to the shell.
      Overrides:
        `setWelcomeMessage` in class `ShellServerOptions`
      Parameters:
        `welcomeMessage` - the welcome message
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSessionTimeout

          public ShellServiceOptions setSessionTimeout​(long timeoutMillis)

      Description copied from class: `ShellServerOptions`
      Set the session timeout.
      Overrides:
        `setSessionTimeout` in class `ShellServerOptions`
      Parameters:
        `timeoutMillis` - the new session timeout
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReaperInterval

          public ShellServiceOptions setReaperInterval​(long reaperInterval)

      Description copied from class: `ShellServerOptions`
      Set the repear interval, i.e the period at which session eviction is performed.
      Overrides:
        `setReaperInterval` in class `ShellServerOptions`
      Parameters:
        `reaperInterval` - the new repeat interval
      Returns:
        a reference to this, so the API can be used fluently

    - #### getTelnetOptions

          public TelnetTermOptions getTelnetOptions()

      Returns:
        the Telnet options

    - #### setTelnetOptions

          public ShellServiceOptions setTelnetOptions​(TelnetTermOptions telnetOptions)

      Set the Telnet options, if the option is null, Telnet will not be started.
      Parameters:
        `telnetOptions` - the ssh options
      Returns:
        a reference to this, so the API can be used fluently

    - #### getSSHOptions

          public SSHTermOptions getSSHOptions()

      Returns:
        the SSH options

    - #### setSSHOptions

          public ShellServiceOptions setSSHOptions​(SSHTermOptions sshOptions)

      Set the SSH options, if the option is null, SSH will not be started.
      Parameters:
        `sshOptions` - the ssh options
      Returns:
        a reference to this, so the API can be used fluently

    - #### getHttpOptions

          public HttpTermOptions getHttpOptions()

    - #### setHttpOptions

          public ShellServiceOptions setHttpOptions​(HttpTermOptions httpOptions)